##### experimental::basic_channel::basic_channel (1 of 4 overloads)

Construct a `experimental::basic_channel`.

    basic_channel(
        const executor_type & ex,
        std::size_t max_buffer_size = 0);

This constructor creates and channel.

###### Parameters

ex

  The I/O executor that the channel will use, by default, to dispatch handlers for any asynchronous operations performed on the channel.

max_buffer_size

  The maximum number of messages that may be buffered in the channel.